export const chainMetadata = {
    "basesepolia": {
        "blockExplorers": [
            {
                "apiUrl": "https://api-sepolia.basescan.org/api",
                "family": "etherscan",
                "name": "Base Sepolia Explorer",
                "url": "https://sepolia.basescan.org"
            }
        ],
        "blocks": {
            "confirmations": 1,
            "estimateBlockTime": 2,
            "reorgPeriod": 1
        },
        "chainId": 84532,
        "displayName": "Base Sepolia",
        "domainId": 84532,
        "isTestnet": true,
        "gasCurrencyCoinGeckoId": "ethereum",
        "name": "basesepolia",
        "nativeToken": {
            "decimals": 18,
            "name": "Ether",
            "symbol": "ETH"
        },
        "protocol": "ethereum",
        "rpcUrls": [
            {
                "http": "https://sepolia.base.org"
            },
            {
                "http": "https://base-sepolia.blockpi.network/v1/rpc/public"
            },
            {
                "http": "https://base-sepolia-rpc.publicnode.com"
            }
        ]
    },
    "sepolia": {
        "blockExplorers": [
            {
                "apiUrl": "https://api-sepolia.etherscan.io/api",
                "family": "etherscan",
                "name": "Etherscan",
                "url": "https://sepolia.etherscan.io"
            }
        ],
        "blocks": {
            "confirmations": 1,
            "estimateBlockTime": 13,
            "reorgPeriod": 2
        },
        "chainId": 11155111,
        "displayName": "Sepolia",
        "domainId": 11155111,
        "isTestnet": true,
        "name": "sepolia",
        "nativeToken": {
            "decimals": 18,
            "name": "Ether",
            "symbol": "ETH"
        },
        "protocol": "ethereum",
        "rpcUrls": [
            {
                "http": "https://ethereum-sepolia.publicnode.com"
            },
            {
                "http": "https://ethereum-sepolia.blockpi.network/v1/rpc/public"
            },
            {
                "http": "https://rpc.sepolia.org"
            }
        ]
    }
};
