/**
 * A list of chains managed by the Hyperlane core team.
 * Hyperlane can be deployed permissionlessly to any chain but for
 * convenience the core team maintains some deployments.
 */
export declare enum CoreChain {
    alfajores = "alfajores",
    ancient8 = "ancient8",
    arbitrum = "arbitrum",
    avalanche = "avalanche",
    base = "base",
    blast = "blast",
    bsc = "bsc",
    bsctestnet = "bsctestnet",
    celo = "celo",
    chiado = "chiado",
    eclipsetestnet = "eclipsetestnet",
    ethereum = "ethereum",
    fraxtal = "fraxtal",
    fuji = "fuji",
    gnosis = "gnosis",
    inevm = "inevm",
    injective = "injective",
    linea = "linea",
    mantapacific = "mantapacific",
    moonbeam = "moonbeam",
    nautilus = "nautilus",
    neutron = "neutron",
    optimism = "optimism",
    plumetestnet = "plumetestnet",
    polygon = "polygon",
    polygonzkevm = "polygonzkevm",
    proteustestnet = "proteustestnet",
    redstone = "redstone",
    scroll = "scroll",
    scrollsepolia = "scrollsepolia",
    sei = "sei",
    sepolia = "sepolia",
    solana = "solana",
    solanadevnet = "solanadevnet",
    solanatestnet = "solanatestnet",
    viction = "viction",
    zetachain = "zetachain"
}
export type CoreChainName = keyof typeof CoreChain;
export declare const CoreMainnets: Array<CoreChainName>;
export declare const CoreTestnets: Array<CoreChainName>;
export declare const CoreChains: Array<CoreChainName>;
