export declare const warpRouteConfigs: Record<string, {
    tokens: {
        symbol: string;
        name: string;
        decimals: number;
        chainName: string;
        standard: import("@hyperlane-xyz/sdk").TokenStandard;
        addressOrDenom: string | null;
        collateralAddressOrDenom?: string | undefined;
        igpTokenAddressOrDenom?: string | undefined;
        logoURI?: string | undefined;
        connections?: ({
            token: string;
            type?: import("@hyperlane-xyz/sdk").TokenConnectionType.Hyperlane | undefined;
        } | {
            type: import("@hyperlane-xyz/sdk").TokenConnectionType.Ibc;
            token: string;
            sourcePort: string;
            sourceChannel: string;
        } | {
            type: import("@hyperlane-xyz/sdk").TokenConnectionType.IbcHyperlane;
            token: string;
            sourcePort: string;
            sourceChannel: string;
            intermediateChainName: string;
            intermediateIbcDenom: string;
            intermediateRouterAddress: string;
        })[] | undefined;
    }[];
    options?: {
        localFeeConstants?: {
            amount: string | number | bigint;
            origin: string;
            destination: string;
            addressOrDenom?: string | undefined;
        }[] | undefined;
        interchainFeeConstants?: {
            amount: string | number | bigint;
            origin: string;
            destination: string;
            addressOrDenom?: string | undefined;
        }[] | undefined;
        routeBlacklist?: {
            origin: string;
            destination: string;
        }[] | undefined;
    } | undefined;
}>;
